org.apache.mina.http.api

## Interface HttpRequest

- All Superinterfaces:
    HttpMessage
  All Known Implementing Classes:
    HttpRequestImpl

      public interface HttpRequest
      extends HttpMessage

  An HTTP request
  Author:
    jvermillar

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsParameter(String name)` Determines whether this request contains at least one parameter with the specified name
    `HttpMethod` | `getMethod()` Return the HTTP method used for this message `HttpMethod`
    `String` | `getParameter(String name)` Returns the value of a request parameter as a String, or null if the parameter does not exist.
    `Map<String,List<String>>` | `getParameters()` Returns a read only `Map` of query parameters whose key is a `String` and whose value is a `List` of `String`s.
    `String` | `getQueryString()`
    `String` | `getRequestPath()` Retrurn the HTTP request path

    - ### Methods inherited from interface org.apache.mina.http.api.HttpMessage

      `containsHeader, getContentType, getHeader, getHeaders, getProtocolVersion, isKeepAlive`

- - ### Method Detail

    - #### containsParameter

          boolean containsParameter(String name)

      Determines whether this request contains at least one parameter with the specified name
      Parameters:
        `name` - The parameter name
      Returns:
        `true` if this request contains at least one parameter with the specified name

    - #### getParameter

          String getParameter(String name)

      Returns the value of a request parameter as a String, or null if the parameter does not exist. If the request contained multiple parameters with the same name, this method returns the first parameter encountered in the request with the specified name
      Parameters:
        `name` - The parameter name
      Returns:
        The value

    - #### getQueryString

          String getQueryString()

    - #### getParameters

          Map<String,List<String>> getParameters()

      Returns a read only `Map` of query parameters whose key is a `String` and whose value is a `List` of `String`s.

    - #### getMethod

          HttpMethod getMethod()

      Return the HTTP method used for this message `HttpMethod`
      Returns:
        the method

    - #### getRequestPath

          String getRequestPath()

      Retrurn the HTTP request path

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.